<?php

namespace Ardent\Undercurrent;

class AppConfig
{
    public function __construct(
        private readonly string $rootPath,
        private readonly string $templatePath,
    )
    {
    }

    public function getRootPath(): string
    {
        return $this->rootPath;
    }

    public function getTemplatePath(): string
    {
        return $this->getRootPath() . $this->templatePath;
    }
}